description: The POST method may be used to create a new subscription. One example use case is to create a new subscription to the mobile edge service availability notifications. Upon success, the response contains entity body describing the created subscription. 
operationId: ApplicationsSubscriptions_POST
produces:
- application/json
parameters:
- $ref: '#/parameters/Body.AppTerminationNotificationSubscription'
# The alternative request
#- $ref: '#/parameters/Body.SerAvailabilityNotificationSubscription'

responses:
  201:
    description: Entity body in the request contains a subscription to the mobile edge service availability notifications that is to be created. 
    headers:
      location: 
        description: The resource URI of the created resource
        type: string
        format: uri
    schema:
      type: object
      properties:
        AppTerminationNotificationSubscription:
          $ref: '#/definitions/AppTerminationNotificationSubscription'
# The alternative response
#        SerAvailabilityNotificationSubscription:
#          $ref: '#/definitions/SerAvailabilityNotificationSubscription'
  400:
    description: Bad Request
    schema:
      type: object
      properties:
        ProblemDetails:
          $ref: '#/definitions/ProblemDetails'
  403:
    description: Forbidden
    schema:
      type: object
      required:
      - ProblemDetails
      properties:
        ProblemDetails:
          $ref: '#/definitions/ProblemDetails'
  404:
    description: Not Found
    schema:
      type: object
      properties:
        ProblemDetails:
          $ref: '#/definitions/ProblemDetails'